/* 
Theme Name: Salero
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.1.2

Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
body .elementor-widget-text-editor{ font-family: "Josefin Sans" !important; }
.elementor-widget-text-editor, span.elementor-icon-list-text { font-family: 'Josefin Sans' !important; }
h1, h2, h3, h1.elementor-heading-title, h2.elementor-heading-title, h3.elementor-heading-title, p.elementor-heading-title  { font-family: 'Atteron' !important; font-weight: 400 !important; letter-spacing:2px !important; }
* { vertical-align: top; }
.btn1 { position: relative !important; display: inline-block !important; overflow: hidden; padding: 10px 35px; font-size: 18px;margin-right:3px; margin-left: 3px; font-weight: 600; text-decoration: none; color: #000; transition: color 0.125s 0.75s; }
.btn1:before, .btn1:after { content: ''; position: absolute; top: 0; left: 0; right: 0; bottom: 0; transition: transform 1s linear, border-color 0s 0.5s linear; }
.btn1:before { border-left: 1px solid #C2C2C2; border-right: 1px solid #C2C2C2; }
.btn1:after { border-top: 1px solid #C2C2C2; border-bottom: 1px solid #C2C2C2; }
.btn1:hover { color: #1DBDEF; }
.btn1:hover:before, .btn1:hover:after { border-color: #1DBDEF; }
.btn1:hover:before { transform: skewY(180deg); }
.btn1:hover:after { transform: skewX(-180deg); }
.head-btn a{ font-size: 14px !important; padding: 7px 20px !important; }
.header-btn a { font-size: 14px ! IMPORTANT; letter-spacing: 1px; padding: 7px 20px; border-color:#fff ! IMPORTANT; }
.header-btn a.btn1:before, .btn1:after { content: ''; position: absolute; top: 0; left: 0; right: 0; bottom: 0; transition: transform 1s linear, border-color 0s 0.5s linear; }
.header-btn a.btn1:before { border-left: 1px solid #fff; border-right: 1px solid #fff; }
.header-btn a.btn1:after { border-top: 1px solid #fff; border-bottom: 1px solid #fff; }
.icon-bg img { background: #40a3b0; border-radius: 8px!important; padding: 10px; }
.blue-text{ color: #40a3b0 !important; }
.vendor-img .swiper-pagination { margin-bottom:-30px !important; }
.vendor-img span.swiper-pagination-bullet.swiper-pagination-bullet-active{ width: 14px !important; height:14px !important; margin-top:-2px !important; }
.about-bg:before { content: ""; position: absolute; inset: 0; background-image: url(/wp-content/uploads/2025/08/border-bg.webp); background-size: 480px; background-position: right 0 bottom 0px; z-index:-1; background-repeat: no-repeat; }
.menu-bg:before { content: ""; position: absolute; inset: 0; background-image: url(/wp-content/uploads/2025/08/menu-bg.webp); background-size: contain !important; border-radius:32px; background-position: right 0 top -20px; z-index:-1; background-repeat: no-repeat; border-radius: 32px; left: 50px; }
.home-blog .elementor-post__text { background: #fff; padding: 25px; z-index: 1; max-width: 90%; margin-left: 15px !important; box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.1); margin: auto; position: absolute; bottom: 8px; }
.home-blog .elementor-grid-item { position: relative; }
.home-blog a.elementor-post__thumbnail__link { padding-bottom:65px !important; } 
.home-blog a.elementor-post__thumbnail__link img{ height: 400px !important; object-fit: cover !important; width: 100% !important; }
.home-blog .elementor-post__thumbnail { height: 400px !important; }
.home-blog h3.elementor-post__title { border-bottom: 1px solid #D9D9D9; padding-bottom: 10px; }
.home-blog span.elementor-post-date { position: absolute !important; bottom: 25px !important; right: 25px !important; }
.home-testimonial .swiper-slide {  background-image: url(/wp-content/uploads/2025/08/quote.webp); background-size: 40px; background-position: right 30px top 25px; background-repeat: no-repeat; }
.elementor-element .swiper .elementor-swiper-button-prev{ left: -55px !important; }
.elementor-element .swiper .elementor-swiper-button-next{ right: -55px !important; }
.home-event:hover .event-content {  max-height: 800px; opacity: 1; padding:10px; }
.home-event .event-content { max-height: 0; overflow: hidden; opacity: 0; transition: max-height 2s ease, opacity 1s ease !important; }
.home-event .event-height{ transition: height 2s ease !important; }
.home-event:hover .event-height{ background-image: url(/wp-content/uploads/2025/08/event-hov-bg.webp); background-size: cover; background-position:center; background-repeat: no-repeat; height:91% !important; }
.why-text{ max-height: 0; overflow: hidden; opacity: 0; transition: max-height 2s ease, opacity 1s ease !important; }
.home-why:hover .why-text{  max-height: 800px; opacity: 1; padding-top: 20px!important;  }
.footer-links a{ color:#fff !important; }
.head-banner { position: relative !important; }
.position-title { position: absolute !important; top: 50%; left: 50%; transform: translate(-50%, -50%); text-align: center; }
.post-cont h2{ color:#000 !important; }
.post-cont h2 b{ font-weight:400 !important;  }
.post-cont img{ width:100% !important; height:450px !important;  object-fit: cover !important; }
.post-cont p{ font-family: 'Josefin Sans', Sans-serif;font-size: 18px; font-weight: 400; color: #373737 !important; }
.post-list li:before { content: ''; background: url(/wp-content/uploads/2025/08/right.webp); height: 20px !important; width: 20px !important; position: absolute; background-repeat: no-repeat; background-size: contain; margin-top: 17px; margin-left: 22px; background-position: center center; }
.event-gallery figure.swiper-slide-inner img { width: 100%; height: 300px; border-radius: 20px; object-fit: cover; }
.icon-btn.btn1 { padding: 0 10px !important; }

.s-logo .elementor-icon {
    background-color: #FFFFFF;
    color: #1DBDEF0F;
    box-shadow: 0 0 4px #00000038;
}

.post-cont a {
    color: #1cbcf2;
}
.post-cont a:hover {
    color: #000;
}

.vendor-img img.swiper-slide-image {
    width: 40%;
}

.home-testimonial .swiper-slide {
    height: fit-content !important;
}
span.elementor-icon-list-icon svg {
    fill: #40a3b0 !important;
}

.elementor-popup-modal .dialog-widget-content{ background: transparent !important; box-shadow: none !important; }
a{ outline:none!important; }

@media screen and (max-width: 1440px) { 
	.e-con { --container-max-width: 1200px !important; } }

@media screen and (max-width: 1024px) { 
	
	.position-title p { font-size: 80px !important; line-height: 80px !important;}
	.elementor-element .swiper .elementor-swiper-button-prev{ left: 0px !important; }
    .elementor-element .swiper .elementor-swiper-button-next{ right: 0px !important; }
}

@media screen and (max-width: 481px) {
     h1 { font-size: 30px !important; line-height: 34px !important; }
     h2 { font-size: 22px !important; line-height: 30px !important; }
	 h4 { font-size: 14px !important; line-height: 18px !important; }
	.position-title p { font-size: 40px !important; line-height: 44px !important;}
	.about-bg:before { background-size: 321px !important; background-position: right 20px bottom 20px !important; }
	.home-testimonial .swiper-slide { padding:30px !important; }
	.home-event:hover .event-height { height: 89% !important; }
	.post-cont img{ width:100% !important; height:300px !important;  object-fit: cover !important; }
	.elementor-element .swiper .elementor-swiper-button-prev{ left: 0px !important; }
.elementor-element .swiper .elementor-swiper-button-next{ right: 0px !important; }
	
}